<?php

	require("_init.php");
	require("_funcstd.php");
	require("_connect2.php");
	require("_basicshow.class.php");
	require("_login.class.php");

	$login = new gfsoftlogin(0,false);

	$ismobile = ismobile();

	if ( isset($_POST['tanggal']) ) {
		if ( $ismobile ) {
			$tanggal = $_POST['tanggal'];
		} else {
			$tanggal = JQueryDate2Date($_POST['tanggal']);
		}
	} else {
		die( "Invalid argument !" );
	}

	$outputhtml = new gfbasicshow( "Total Penjualan Per Barang Per Cabang Per Tanggal", false, "Total Penjualan Per Barang Per Cabang Per Tanggal", ( $hasil['TotalRecords'] <= 12 ? 500 : ( 500 + ( ( $hasil['TotalRecords'] - 12 ) * 30 ) ) ) );
	$outputhtml->tombolmenu = true;
	$outputhtml->kembaliurl = "totaljualcabang.php";

	$outputhtml->bodyadd( '<table cellpadding="5" cellspacing="0" style="position:absolute;border:2px #C0C0C0 solid;top:30px;left:25px;">' );

	$outputhtml->bodyadd( '	<tr valign="middle">' );
	$outputhtml->bodyadd( '		<td align="center" class="standardhuruf" colspan="7" bgcolor="#666666" style="border:1px #C0C0C0 solid;height:30px;"><font color="#FFFFFF"><b>PER TANGGAL : ' . strtoupper(@Date2ddmmmyyyy($tanggal)) . '<b></font></td>' );
	$outputhtml->bodyadd( '	</tr>' );

	$perintahdb1 = "SELECT KodeCabang, Upper(NamaCabang) AS NamaCabang FROM tblcabang";

	$sqlquery1 = @DBQuery( $perintahdb1 );

	while ( $sqlrow1 = @DBFetchAssoc( $sqlquery1 ) ) {

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td align="center" class="standardhuruf" colspan="7" bgcolor="#00008B" style="border:1px #C0C0C0 solid;height:30px;"><font color="#FFFFFF"><b>TOTAL PENJUALAN PER BARANG PER CABANG : ' . $sqlrow1['NamaCabang'] . '<b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:40px;height:30px;"><font color="#FFFFFF"><b>NO.</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:400px;"><font color="#FFFFFF"><b>NAMA BARANG</b></font></td>' );			
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:40px;"><font color="#FFFFFF"><b>JUMLAH</b></font></td>' );	
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:120px;"><font color="#FFFFFF"><b>HARGA JUAL</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:120px;"><font color="#FFFFFF"><b>DISCOUNT</b></font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#666666" style="border:1px #C0C0C0 solid;width:130px;"><font color="#FFFFFF"><b>TOTAL</b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );

		$perintahdb2 = "SELECT 
						tblcabang.NamaCabang, 
						tblpenjua.PenjuaID, 
						tblpenjud.ItemKode, 
						tblpenjud.ItemNama,
						SUM(tblpenjud.Jumlah) AS Jumlah, 
						SUM(tblpenjud.Harga) AS Harga, 
						tblpenjud.Disc_Nilai AS Disc_Nilai, 
						tblpenjud.Disc_Pers AS Disc_Pers,
						SUM( (tblpenjud.Disc_Nilai + ( tblpenjud.Harga * tblpenjud.Disc_Pers / 100 ) ) ) as RSDisc
					FROM ((tblpenjud
					INNER JOIN tblpenjua ON tblpenjua.PenjuaID = tblpenjud.PenjuaID)
					INNER JOIN tblcabang ON tblpenjua.KodeCabang = tblcabang.KodeCabang )
					WHERE ( tblpenjua.Tanggal = '$tanggal'  AND tblpenjua.KodeCabang = " . $sqlrow1['KodeCabang'] . "  )
					GROUP BY tblpenjud.ItemNama
					ORDER BY tblpenjud.ItemNama
					";

		$sqlquery2 = @DBQuery( $perintahdb2 );

		$totaljumlah = 0;
		$totalharga = 0;
		$totaldisc = 0;
		$nomor = 0;
		$grandtotalharga = 0;

		while ( $sqlrow2 = @DBFetchAssoc( $sqlquery2 ) ) {

			$nomor++;			
			$rdisc = 0;
			$rtotal = 0;
			$rdisc = $sqlrow2['RSDisc'];
			$rtotal = $sqlrow2['Harga'] - $rdisc ;
			
			$outputhtml->bodyadd( '	<tr valign="middle">' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;height:20px;">' . $nomor . '. </td>' );		
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="left" style="border:1px #C0C0C0 solid;">' . $sqlrow2['ItemNama'] . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" style="border:1px #C0C0C0 solid;">' . number_format($sqlrow2['Jumlah'],0) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($sqlrow2['Harga']) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($rdisc) . '</td>' );
			$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" style="border:1px #C0C0C0 solid;">' . @ShowFormatDigitNumber($rtotal) . '</td>' );
			$outputhtml->bodyadd( '	</tr>' );

			$totaljumlah += $sqlrow2['Jumlah'];
			$totalharga += $sqlrow2['Harga'];
			$totaldisc += $rdisc;
			$grandtotalharga += $rtotal;			
		}

		$outputhtml->bodyadd( '	<tr valign="middle">' );
		$outputhtml->bodyadd( '		<td colspan="2" class="standardhuruf" align="center" bgcolor="#F0F0F0" style="border:1px #C0C0C0 solid;height:30px;"><b>T O T A L   : ' . $sqlrow1['NamaCabang']  . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" bgcolor="#F0F0F0" style="border:1px #C0C0C0 solid;"><b></b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" bgcolor="#F0F0F0" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totalharga) . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" bgcolor="#F0F0F0" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totaldisc) . '</b></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" bgcolor="#F0F0F0" style="border:1px #C0C0C0 solid;"><b>' . @ShowFormatDigitNumber($totalharga-$totaldisc) . '</b></td>' );
		$outputhtml->bodyadd( '	</tr>' );

	}

	$outputhtml->bodyadd( '</table>' );

	$outputhtml->output();

?>